@REM This script must be called by another scripts defining:
@REM   set SCK_PATH=<path to the sck jar tool including the jar name itself>
@REM   set SCKEXTRA_PATH=<path to the sckExtraPack tool>
@REM   set INPUT_PATH=<path to the file to extract including the file itself>
@REM   set OUTPUT_PATH=<path to the output directory>
@REM   set JAVA_PARAM=<java vm param if any> ex: "-Xmx192m"
@REM The call can be done be:
@REM   call "%SCKEXTRA_PATH%/<this script sub-path inside SCKEXTRA_PATH including the script name itself>"

@REM TODO: handle external strings file
@REM Handle strings
  IF NOT "%DUNGEON_STRINGS%"=="" set STRINGS_PARAMETERS= -strings %DUNGEON_STRINGS%

IF NOT EXIST "%OUTPUT_PATH%" mkdir "%OUTPUT_PATH%"
java %JAVA_PARAM% -jar "%SCK_PATH%" extract %STRINGS_PARAMETERS% "%INPUT_PATH%" -outputdir "%OUTPUT_PATH%" -cleanoutputdir

@REM Handle pause
  IF NOT "%DO_PAUSE%"=="0" pause