@REM This script must be called by another scripts defining:
@REM   set SCK_PATH=<path to the sck jar tool including the jar name itself>
@REM   set SCKEXTRA_PATH=<path to the sckExtraPack tool>
@REM   set INPUT_PATH=<path to the files to convert>
@REM   set XML_NAME=<xml file name inside the INPUT_PATH path>
@REM   set OUTPUT_PATH=<path to the output directory>
@REM   set OUTPUT_NAME=<html file name inside the OUTPUT_PATH>
@REM The call can be done be:
@REM   call "%SCKEXTRA_PATH%/<this script sub-path inside SCKEXTRA_PATH including the script name itself>"

IF NOT EXIST "%OUTPUT_PATH%" mkdir "%OUTPUT_PATH%"
  
@REM Copy common file (js, css, images)
  java -jar "%SCK_PATH%" copy "%SCKEXTRA_PATH%\htc\*" "%OUTPUT_PATH%\..\..\resources\htc"
  rmdir /S /Q "%OUTPUT_PATH%\..\..\resources\htc\xsl"

@REM Convert XML to HTML
  java -jar "%SCK_PATH%" stylize "%SCKEXTRA_PATH%\htc\xsl\htc.xsl" "%INPUT_PATH%\%XML_NAME%" -xsl_params "resources_path=../../resources/htc"> "%OUTPUT_PATH%\%OUTPUT_NAME%"

@REM Handle pause
  IF NOT "%DO_PAUSE%"=="0" pause